$LateSpawningTime = 10000;
function GameMode_TDM_onModeStart(%mini,%client)
{
	//Called when you start the game mode, AFTER minigame is reset.
	%mini.roundStartedAt = getSimTime();
}

//%this.minigame.tdmLivesLimit

function GameMode_TDM_onAddMember(%mini,%client)
{
	if(%mini.tdmLivesLimit == 0)
		return;
	
	if(getSimTime() - %mini.roundStartedAt < $LateSpawningTime)
		return;
	
	%client.tdmLives = 0;
	messageClient(%client, '', "\c5You will be able to play after this round finishes.", 3);
	
	if(isObject(%client.player))
		%client.player.delete();
	
	if(!isObject(%client.camera))
		return;
	
	%client.setControlObject(%client.camera);
	%client.tdmCameraTarget = -1;
	
	messageClient(%client,'MsgYourSpawn'); //not sure if necessary
	%client.centerPrint("\c5You will be able to play after this round finishes.",3);
	%client.bottomPrint("\c3Fire\c6 and \c3Jet\c6 to change camera position. \c3Jump\c6 to toggle camera mode.",10);
	%client.getAutoCameraTarget();
}

function GameMode_DM_onModeStart(%mini,%client)
{
   GameMode_DM_onModeStart(%mini,%client);
}

function GameMode_DM_onAddMember(%mini,%client)
{
   GameMode_TDM_onAddMember(%mini,%client);
}